Subject: Re: [PATCH 8/8] dir: avoid removing the current working directory

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Nov 2021 13:57:34 -0800

Glen Choo <[email-masked]> writes:

> This doesn't sound like a typical definition of 'emptiness' to me, but I
> can accept it if others also find it compelling. IOW if your definition
> of 'emptiness' is compelling enough, then I'll be convinced that there
> is no mixing of concerns and there would be no objection.

FWIW, I do not find it compelling.  I can grant that it might be
convenient, but I do not think it is a good idea to explain the
reason why the directory is protected is because it is "not empty".